package com.fjhx.enums;

import lombok.Getter;

import java.util.HashMap;

@Getter
public enum SendEventEnum {

    /**
     * 收到新邮件
     */
    MESSAGE_NEW("messageNew"),


    ;

    private final String type;

    private static final HashMap<String, SendEventEnum> map = new HashMap<>();

    SendEventEnum(String type) {
        this.type = type;
    }

    static {
        for (SendEventEnum value : SendEventEnum.values()) {
            map.put(value.getType(), value);
        }
    }

    /**
     * 根据type获取枚举
     */
    public static SendEventEnum get(String type) {
        return map.get(type);
    }

}
